<template>
  <v-btn
    class="action-btn"
    icon
    :color="color"
    depressed
    dense
    :title="title"
    :disabled="disabled"
    @click="$emit('click')"
  >
    <v-icon>edit</v-icon>
  </v-btn>
</template>
<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator'
@Component({})
export default class FEditBtn extends Vue {
  @Prop({ default: 'Modifiko' }) title!: string
  @Prop({ default: false }) disabled!: boolean
  @Prop({ default: 'blue' }) color!: boolean

  goBack() {
    this.$router.go(-1)
  }
}
</script>
